hwy::HWY_NAMESPACE::detail::RotateRight< 0 > Struct Reference

`#include <emu128-inl.h>`

## Public Member Functions

template<typename T , size_t N>
HWY_INLINE Vec128< T, N > | operator() (const Vec128< T, N > v) const
template<typename T >
HWY_INLINE Vec1< T > | operator() (const Vec1< T > v) const

## Member Function Documentation

## operator()() [1/2]

template<typename T , size_t N>

HWY_INLINE Vec128< T, N > hwy::HWY_NAMESPACE::detail::RotateRight< 0 >::operator() | ( | const Vec128< T, N > | v | ) | const

inline

References hwy::HWY_NAMESPACE::v.

## operator()() [2/2]

template<typename T >

HWY_INLINE Vec1< T > hwy::HWY_NAMESPACE::detail::RotateRight< 0 >::operator() | ( | const Vec1< T > | v | ) | const

inline

References hwy::HWY_NAMESPACE::v.

The documentation for this struct was generated from the following files:

- emu128-inl.h
- scalar-inl.h